﻿@{
    ViewBag.Title = "Room";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>Room's Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">Fill Data carefully</h3>

            </div>
            <form class="form-horizontal">
                <div class="box-body">
                    <div class="form-group">
                        <label for="InputWardID" class="col-sm-2 control-label">Select Ward ID</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputWardID">
                               
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="RoomCharges" class="col-sm-2 control-label">Select Room Charges</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="RoomCharges">
                                <option>500</option>
                                <option>1000</option>
                                <option>1500</option>
                                <option>2000</option>
                                <option>2500</option>
                                <option>3000</option>
                            </select>
                        </div>
                    </div>
       
                    <!-- radio -->
                    <div class="form-group">
                        <label for="InputStatus" class="col-sm-2 control-label">Select Status of Room </label>
                        <div class="col-sm-10">
                            <div class="radio">
                                <label>
                                    <input type="radio" name="RadioName" id="opt1" value="1" checked="">
                                    Available
                                </label>
                            </div>
                            <div class="radio">
                                <label>
                                    <input type="radio" name="RadioName" id="opt2" value="0">
                                   Not Available
                                </label>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="RoomType" class="col-sm-2 control-label">Select Type of Room</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="RoomType">
                                <option>VIP Suite</option>
                                <option>Single Deluxe Room</option>
                                <option>Two-Bedded Room</option>
                                <option>Four-Bedded Room</option>
                                <option>Intensive Care Unit</option>
                                <option>Isolation Room</option>
                           </select>
                        </div>
                    </div>
                 
                    <div class="box-footer">
                        <button style="margin-left: 30px" type="button" class="col-sm-1 btn btn-info pull-right" onclick="AddRoomData()">Save</button>

                        <button type="submit" class="col-sm-1 btn btn-default pull-right">Cancel</button>
                    </div>
                </div>

            </form>

        </div>

    </section>
</div>
<script>
    function AddRoomData() {
        debugger;
        var RWardID = $('#InputWardID :selected').attr('id');
        var RoomCharges = $('#RoomCharges :selected').val();
        var RoomStatus = $("input[name='RadioName']:checked").val();
        var RoomType = $('#RoomType :selected').val();
        $.ajax({
            url: '@Url.Action("AddRoom", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ RWardID: RWardID, RoomCharges: RoomCharges, RoomStatus: RoomStatus, RoomType: RoomType }),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;

                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>


<!--pop up the dropdowns-->
<script>
    $(document).ready(function () {
        // alert("asd");
        $.ajax({
            url: '@Url.Action("GetAllWardIdName", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var list = data.message;

                    for (i = 0; i < list.length; i++) {
                        $('#InputWardID').append('<option id=' + list[i].wardid + ' value=' + list[i].wardname + ' >' + list[i].wardname + '  </option>');
                    }


                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>

